QXmlInputSource(3qt)

NAME
QXmlInputSource - The source where XML data is read from <h1 align=center>QXmlInputSource Class Reference
<small>[ XML module ]</small></h1>

#include <qxml.h>

  Public Members
QXmlInputSource ()
QXmlInputSource ( QTextStream & stream )
QXmlInputSource ( QFile & file )
virtual ~QXmlInputSource ()
virtual const QString& data () const
virtual void setData ( const QString & d )

DESCRIPTION
The QXmlInputSource class is the source where XML data is read from.

All subclasses of QXmlReader read the input from this class.

MEMBER FUNCTION DOCUMENTATION

QXmlInputSource::QXmlInputSource ()
Constructs a input source which contains no data.

QXmlInputSource::QXmlInputSource ( QFile & file )
Constructs a input source and get the data from a file. If the file cannot be read the input source is empty.

QXmlInputSource::QXmlInputSource ( QTextStream & stream )
Constructs a input source and get the data from the text stream.

QXmlInputSource::~QXmlInputSource () [virtual]
Destructor.

const QString& QXmlInputSource::data () const [virtual]
Returns all the data this input source contains.

void QXmlInputSource::setData ( const QString & dat ) [virtual]
Sets the data of the input source to dat.

SEE ALSO
http://doc.trolltech.com/qxmlinputsource.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.